# Uses of Class
org.apache.velocity.runtime.resource.loader.ResourceLoader

Packages that use ResourceLoader
Package
Description
org.apache.velocity.runtime.resource
org.apache.velocity.runtime.resource.loader

## Uses of ResourceLoader in org.apache.velocity.runtime.resource

Fields in org.apache.velocity.runtime.resource declared as ResourceLoader
Modifier and Type
Field
Description
`protected ResourceLoader`
Resource.`resourceLoader`
The template loader that initially loaded the input stream for this template, and knows how to check the source of the input stream for modification.
Fields in org.apache.velocity.runtime.resource with type parameters of type ResourceLoader
Modifier and Type
Field
Description
`protected final List<ResourceLoader>`
ResourceManagerImpl.`resourceLoaders`
The List of templateLoaders that the Runtime will use to locate the InputStream source of a template.
Methods in org.apache.velocity.runtime.resource that return ResourceLoader
Modifier and Type
Method
Description
`ResourceLoader`
Resource.`getResourceLoader()`
Return the template loader that pulled in the template stream
Methods in org.apache.velocity.runtime.resource with parameters of type ResourceLoader
Modifier and Type
Method
Description
`void`
Resource.`setResourceLoader(ResourceLoader resourceLoader)`
Set the template loader for this template.

## Uses of ResourceLoader in org.apache.velocity.runtime.resource.loader

Subclasses of ResourceLoader in org.apache.velocity.runtime.resource.loader
Modifier and Type
Class
Description
`class`
`ClasspathResourceLoader`
ClasspathResourceLoader is a simple loader that will load templates from the classpath.
`class`
`DataSourceResourceLoader`
This is a simple template file loader that loads templates from a DataSource instead of plain files.
`class`
`FileResourceLoader`
A loader for templates stored on the file system.
`class`
`JarResourceLoader`
ResourceLoader to load templates from multiple Jar files.
`class`
`StringResourceLoader`
Resource loader that works with Strings.
`class`
`URLResourceLoader`
This is a simple URL-based loader.
Methods in org.apache.velocity.runtime.resource.loader that return ResourceLoader
Modifier and Type
Method
Description
`static ResourceLoader`
ResourceLoaderFactory.`getLoader(RuntimeServices rs, String loaderClassName)`
Gets the loader specified in the configuration file.